@ECHO OFF
REM   Use the GetGnuWin32 package to download all GNU Utils and install from here:
REM   http://getgnuwin32.sourceforge.net/
REM
REM   If you don't want to install them all then get the zip and coreutils packages from:
REM   http://gnuwin32.sourceforge.net/
REM        *  http://gnuwin32.sourceforge.net/packages/coreutils.htm (contains the touch executable)
REM        *  http://gnuwin32.sourceforge.net/packages/zip.htm  (contains the zip executable)
REM   Download those packages via:
REM        * Binaries  "ZIP"
REM
REM   Put those and the batch file in the same directory.
REM   Add the path to your batch file and touch and zip commands to your PATH.
REM
REM   Lets say you put it in C:\utils\bin
REM
REM
REM   To add a path to the PATH environment variable
REM
REM        1. On the Start menu, right-click Computer.
REM        2. On the context menu, click Properties.
REM        3. In the System dialog box, click Advanced system settings.
REM        4. On the Advanced tab of the System Properties dialog box, click
REM           Environment Variables.
REM        5. In the System Variables box of the Environment Variables dialog 
REM           box, scroll to Path and select it.
REM        6. Click the lower of the two Edit buttons in the dialog box.
REM        7. In the Edit System Variable dialog box, scroll to the end of the 
REM           string in the Variable value box and add a semicolon (;).
REM        8. Add the new path after the semicolon.
REM        9. Click OK in three successive dialog boxes, and then close the 
REM           System dialog box.
REM
REM   From Command line a git repos local copy:
REM        git-release.bat ReleaseNameofExtension
REM 
REM   Outputs an archived copy of the current git commit, minus anything put in .gitattributes 
REM   with a export-ignore entry. Changes to the directory of of the export. Creates a blank 
REM   file. The blank file is used to blank out the git commit hash thats saved into the zip 
REM   archive comment by git-archive. Remove the blankfile. Return to the current repo directory
REM
REM
REM   ###########THESE ALSO NEED ADJUSTING###########
REM   Adjust vendor to your vendor/namespace, which is usually your phpBB.com username.
REM   Adjust GitExportDIR to the path where you want to save your exported git repo archive.
REM   ###############################################
REM 
set GetRepoDir=%CD%
set vendor=phpbbmodders
set releasename=%1%
set GitExportDIR=T:\Torty\git-exported

SETLOCAL ENABLEEXTENSIONS
set projectname=%1%
IF NOT DEFINED projectname ECHO Please enter a project name &GOTO :EOF

IF EXIST ".\.git" (
git archive --format zip --prefix ext/%vendor%/%releasename%/ --output %GitExportDIR%\%releasename%.zip master -9
cd %GitExportDIR%
touch blankfile.txt
zip -z %releasename%.zip < blankfile.txt
del blankfile.txt
cd %GetRepoDir%
) ELSE (
@ECHO ON
  echo. 
  echo. 
  echo           .git does not exist.
  echo.        
  echo           Are you sure this is a git repo?

)